

using System.Xml.Serialization;
using NewRock.Sdk.Events.Base;

namespace NewRock.Sdk.Events
{
    [XmlRoot("Event")]
    public class DtmfEvent:NewRockEvent
    {
        [XmlElement("visitor")]
        public DtmfVisitorOrOuter Visitor { get; set; }

        [XmlElement("outer")]
        public DtmfVisitorOrOuter Outer { get; set; }
    }

    public class DtmfVisitorOrOuter
    {
        [XmlAttribute("id")]
        public string Id { get; set; }

        [XmlAttribute("from")]
        public string From { get; set; }

        [XmlAttribute("to")]
        public string To { get; set; }

        [XmlAttribute("callid")]
        public string CallId { get; set; }

        [XmlElement("info")]
        public string Info { get; set; }

        [XmlElement("trunk")]
        public BaseTrunk Trunk { get; set; }

        [XmlElement("menu")]
        public BaseMenu Menu { get; set; }
    }

}
